Subject: [jose] .NET JavaScriptSerializer wrt ES6

From: Anders Rundgren <[email-masked]>
Date: Fri, 30 Oct 2015 15:14:58 +0100

Hi Mike,
This shows what we actually agree on, non-ES6 systems aren't likely to work with what I'm proposing (well, building) without an upgrade:

C#:
         document["quoting"] = "'hi!'";
         document["floating"] = 0.00005;

After running the JavaScriptSerializer using v4.5 of .NET I got

      {"quoting":"\u0027hi!\u0027","floating":5E-05}

which is technically correct but differs from browsers which always normalize strings and format numbers as specified by ES6:

      {"quoting":"'hi!'","floating":0.00005}

OTOH, a patch, QA, test-suites, and all should be a fairly small task.

http://webpki.org/ietf/es6numberbrowsertest.html
Apparently the edge-case IEEE underflow is a remaining issue in my number converter but I'm not able to tell who's wrong.

Best,
Anders